configure.ac: do not require unused dlsym/dlopen

Change-Id: Ib1a208c40ba9c3667980e5c404087e801a4eaaf1
changes/06/29106/1
Vadim Yanitskiy 3 months ago
parent 6e1b300742
commit 492468d772
  1. 7
      configure.ac

@ -38,13 +38,6 @@ dnl use a defined standard across all builds and don't depend on compiler defaul
CFLAGS="$CFLAGS -std=gnu11"
dnl checks for libraries
AC_SEARCH_LIBS([dlopen], [dl dld], [LIBRARY_DL="$LIBS";LIBS=""])
AC_SUBST(LIBRARY_DL)
AC_SEARCH_LIBS([dlsym], [dl dld], [LIBRARY_DLSYM="$LIBS";LIBS=""])
AC_SUBST(LIBRARY_DLSYM)
PKG_CHECK_MODULES(LIBOSMOCORE, libosmocore >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOGSM, libosmogsm >= 1.7.0)
PKG_CHECK_MODULES(LIBOSMOVTY, libosmovty >= 1.7.0)

Loading…
Cancel
Save